Bug 323635 - Amarok crashes at launch after latest update
Summary: Amarok crashes at launch after latest update
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.8.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: 2.9
Assignee: Amarok Developers
URL:
Keywords: drkonqi
: 323824 325797 325845 325894 326443 329841 331669 333417 335541 335620 336809 343334 344131 344378 348819 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-08-17 13:13 UTC by fishears
Modified: 2015-07-21 08:49 UTC (History)
21 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8.1


Attachments
amarok-crash.log (25.98 KB, text/plain)
2013-08-24 19:02 UTC, Thomas Bettler
Details
Amarok debug output (38.87 KB, text/x-log)
2013-08-25 06:00 UTC, Nalaka Hewapathirana
Details
New crash information added by DrKonqi (15.35 KB, text/plain)
2013-08-28 06:16 UTC, Nalaka Hewapathirana
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fishears 2013-08-17 13:13:35 UTC
Application: amarok (2.8.0)
KDE Platform Version: 4.10.5
Qt Version: 4.8.5
Operating System: Linux 3.10.6-200.fc19.x86_64 x86_64
Distribution: "Fedora release 19 (Schrödinger’s Cat)"

-- Information about the crash:
Updated the application and launched from the Software Updater prompt. Crashes every time.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f1610a998c0 (LWP 4688))]

Thread 12 (Thread 0x7f16010a9700 (LWP 4691)):
#0  0x00000034098eab6d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003c26031081 in poll_func () from /lib64/libpulse.so.0
#2  0x0000003c26022a0c in pa_mainloop_poll () from /lib64/libpulse.so.0
#3  0x0000003c2602309e in pa_mainloop_iterate () from /lib64/libpulse.so.0
#4  0x0000003c26023150 in pa_mainloop_run () from /lib64/libpulse.so.0
#5  0x0000003c26031033 in thread () from /lib64/libpulse.so.0
#6  0x0000003c23a46ec8 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-3.0.so
#7  0x000000340a007c53 in start_thread (arg=0x7f16010a9700) at pthread_create.c:308
#8  0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7f15f92c1700 (LWP 4693)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f15f9fe7ef2 in inline_mysql_cond_timedwait (src_file=0x7f15fa425838 "/builddir/build/BUILD/mariadb-5.5.31/storage/maria/ma_servicethread.c", src_line=119, abstime=0x7f15f92c0c80, mutex=0x7f15fb2b36a0 <LOCK_checkpoint>, that=0x7f15fb2b3660 <COND_checkpoint>) at /usr/src/debug/mariadb-5.5.31/include/mysql/psi/mysql_thread.h:1020
#2  my_service_thread_sleep (control=control@entry=0x7f15faa7fa70 <checkpoint_control>, sleep_time=<optimized out>) at /usr/src/debug/mariadb-5.5.31/storage/maria/ma_servicethread.c:118
#3  0x00007f15fa02a759 in ma_checkpoint_background (arg=0x1e) at /usr/src/debug/mariadb-5.5.31/storage/maria/ma_checkpoint.c:705
#4  0x000000340a007c53 in start_thread (arg=0x7f15f92c1700) at pthread_create.c:308
#5  0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7f15f2e9d700 (LWP 4694)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x000000325147b1c4 in wait (time=60000, this=0x14ae850) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=this@entry=0x14a58a0, mutex=mutex@entry=0x14a5898, time=time@entry=60000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f161190eb6e in AbstractDirectoryWatcher::run (this=0x14a5870) at /usr/src/debug/amarok-2.8.0/src/scanner/AbstractDirectoryWatcher.cpp:65
#4  0x000000325b80c622 in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7f15f2e9cc90, th=th@entry=0x14b1490, job=job@entry=0x14a5870) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Job.cpp:106
#5  0x000000325b80c7de in ThreadWeaver::Job::execute (this=0x14a5870, th=0x14b1490) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Job.cpp:135
#6  0x000000325b80be57 in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f15f2e9cd20, parent=0x14b0d60, th=th@entry=0x14b1490) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:95
#7  0x000000325b80bf50 in ThreadWeaver::Thread::run (this=0x14b1490) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:142
#8  0x000000325147ad0f in QThreadPrivate::start (arg=0x14b1490) at thread/qthread_unix.cpp:338
#9  0x000000340a007c53 in start_thread (arg=0x7f15f2e9d700) at pthread_create.c:308
#10 0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7f15f269c700 (LWP 4695)):
#0  0x0000003250886f9a in g_mutex_get_impl (mutex=0x7f15d80009a0) at gthread-posix.c:121
#1  0x0000003250887249 in g_mutex_lock (mutex=mutex@entry=0x7f15d80009a0) at gthread-posix.c:210
#2  0x00000032508480a9 in g_main_context_iterate (context=context@entry=0x7f15d80009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3705
#3  0x00000032508481fc in g_main_context_iteration (context=0x7f15d80009a0, may_block=1) at gmain.c:3762
#4  0x00000032515a7166 in QEventDispatcherGlib::processEvents (this=0x7f15d80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x0000003251578ecf in QEventLoop::processEvents (this=this@entry=0x7f15f269bce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000032515791c5 in QEventLoop::exec (this=this@entry=0x7f15f269bce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x000000325147866f in QThread::exec (this=this@entry=0x14b4050) at thread/qthread.cpp:536
#8  0x000000325155a733 in QInotifyFileSystemWatcherEngine::run (this=0x14b4050) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x000000325147ad0f in QThreadPrivate::start (arg=0x14b4050) at thread/qthread_unix.cpp:338
#10 0x000000340a007c53 in start_thread (arg=0x7f15f269c700) at pthread_create.c:308
#11 0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7f15f0d26700 (LWP 4696)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000325147b1e6 in wait (time=18446744073709551615, this=0x14b0eb0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x14b0d88, mutex=0x14b1010, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x000000325b80a67c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x14b0d60, th=0x15e60b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000325b80d27b in ThreadWeaver::WorkingHardState::applyForWork (this=0x14b10a0, th=0x15e60b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000325b80bea9 in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f15f0d25d20, parent=0x14b0d60, th=th@entry=0x15e60b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:87
#6  0x000000325b80bf50 in ThreadWeaver::Thread::run (this=0x15e60b0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:142
#7  0x000000325147ad0f in QThreadPrivate::start (arg=0x15e60b0) at thread/qthread_unix.cpp:338
#8  0x000000340a007c53 in start_thread (arg=0x7f15f0d26700) at pthread_create.c:308
#9  0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7f15d7fff700 (LWP 4697)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000325147b1e6 in wait (time=18446744073709551615, this=0x14b0eb0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x14b0d88, mutex=0x14b1010, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x000000325b80a67c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x14b0d60, th=0x17c7640) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000325b80d27b in ThreadWeaver::WorkingHardState::applyForWork (this=0x14b10a0, th=0x17c7640) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000325b80bea9 in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f15d7ffed20, parent=0x14b0d60, th=th@entry=0x17c7640) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:87
#6  0x000000325b80bf50 in ThreadWeaver::Thread::run (this=0x17c7640) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:142
#7  0x000000325147ad0f in QThreadPrivate::start (arg=0x17c7640) at thread/qthread_unix.cpp:338
#8  0x000000340a007c53 in start_thread (arg=0x7f15d7fff700) at pthread_create.c:308
#9  0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7f15d77fe700 (LWP 4698)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000325147b1e6 in wait (time=18446744073709551615, this=0x14b0eb0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x14b0d88, mutex=0x14b1010, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x000000325b80a67c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x14b0d60, th=0x17cc9e0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x000000325b80d27b in ThreadWeaver::WorkingHardState::applyForWork (this=0x14b10a0, th=0x17cc9e0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x000000325b80bea9 in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f15d77fdd20, parent=0x14b0d60, th=th@entry=0x17cc9e0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:87
#6  0x000000325b80bf50 in ThreadWeaver::Thread::run (this=0x17cc9e0) at /usr/src/debug/kdelibs-4.10.5/threadweaver/Weaver/Thread.cpp:142
#7  0x000000325147ad0f in QThreadPrivate::start (arg=0x17cc9e0) at thread/qthread_unix.cpp:338
#8  0x000000340a007c53 in start_thread (arg=0x7f15d77fe700) at pthread_create.c:308
#9  0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7f15d4b6c700 (LWP 4699)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000036886cd34d in WTF::TCMalloc_PageHeap::scavengerThread (this=<optimized out>) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/FastMalloc.cpp:2571
#2  0x00000036886cd389 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/FastMalloc.cpp:1767
#3  0x000000340a007c53 in start_thread (arg=0x7f15d4b6c700) at pthread_create.c:308
#4  0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f15cf5e9700 (LWP 4702)):
#0  0x00000034098eab6d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000032508480f4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f1578001fc0, timeout=6671, context=0x7f15780009a0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7f15780009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000032508481fc in g_main_context_iteration (context=0x7f15780009a0, may_block=1) at gmain.c:3762
#4  0x00000032515a7166 in QEventDispatcherGlib::processEvents (this=0x7f15780008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x0000003251578ecf in QEventLoop::processEvents (this=this@entry=0x7f15cf5e8d20, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000032515791c5 in QEventLoop::exec (this=this@entry=0x7f15cf5e8d20, flags=...) at kernel/qeventloop.cpp:204
#7  0x000000325147866f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#8  0x000000325147ad0f in QThreadPrivate::start (arg=0x1f2e9c0) at thread/qthread_unix.cpp:338
#9  0x000000340a007c53 in start_thread (arg=0x7f15cf5e9700) at pthread_create.c:308
#10 0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f15ce76a700 (LWP 4703)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000325a9860bb in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x325ac83f00 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x000000325a9860f9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x000000340a007c53 in start_thread (arg=0x7f15ce76a700) at pthread_create.c:308
#4  0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f15cfdea700 (LWP 4962)):
#0  0x00000034098eab6d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00000032508480f4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7f15800012e0, timeout=-1, context=0x7f15800008c0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7f15800008c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00000032508481fc in g_main_context_iteration (context=0x7f15800008c0, may_block=1) at gmain.c:3762
#4  0x00000032515a7166 in QEventDispatcherGlib::processEvents (this=0x7f1580001700, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x0000003251578ecf in QEventLoop::processEvents (this=this@entry=0x7f15cfde9ce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00000032515791c5 in QEventLoop::exec (this=this@entry=0x7f15cfde9ce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x000000325147866f in QThread::exec (this=this@entry=0x7f15e0002600) at thread/qthread.cpp:536
#8  0x000000325155a733 in QInotifyFileSystemWatcherEngine::run (this=0x7f15e0002600) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x000000325147ad0f in QThreadPrivate::start (arg=0x7f15e0002600) at thread/qthread_unix.cpp:338
#10 0x000000340a007c53 in start_thread (arg=0x7f15cfdea700) at pthread_create.c:308
#11 0x00000034098f513d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f1610a998c0 (LWP 4688)):
[KCrash Handler]
#6  0x00007f15d6d8f638 in get_stencil_miptree (irb=0x24bfb30) at brw_misc_state.c:319
#7  brw_workaround_depthstencil_alignment (brw=brw@entry=0x1c8e8a0, clear_mask=clear_mask@entry=0) at brw_misc_state.c:335
#8  0x00007f15d6d56e79 in brw_try_draw_prims (max_index=3, min_index=0, ib=0x0, nr_prims=1, prim=0x7fff88e80aa0, arrays=0x1cc5798, ctx=0x1c8e8a0) at brw_draw.c:387
#9  brw_draw_prims (ctx=0x1c8e8a0, prim=0x7fff88e80aa0, nr_prims=1, ib=0x0, index_bounds_valid=<optimized out>, min_index=0, max_index=3, tfb_vertcount=0x0) at brw_draw.c:530
#10 0x00007f15d6880254 in vbo_draw_arrays (ctx=0x1c8e8a0, mode=6, start=0, count=4, numInstances=1, baseInstance=0) at ../../../src/mesa/vbo/vbo_exec_array.c:624
#11 0x0000003c26c85607 in QGL2PaintEngineExPrivate::drawTexture (this=this@entry=0x2cb8a80, dest=..., src=..., textureSize=..., opaque=opaque@entry=true, pattern=pattern@entry=false) at gl2paintengineex/qpaintengineex_opengl2.cpp:550
#12 0x0000003c26c8592e in QGL2PaintEngineEx::drawPixmap (this=this@entry=0x2cba090, dest=..., pixmap=..., src=...) at gl2paintengineex/qpaintengineex_opengl2.cpp:1407
#13 0x0000003c21efce9f in QPaintEngineEx::drawPixmap (this=0x2cba090, pos=..., pm=...) at painting/qpaintengineex.cpp:952
#14 0x0000003c21f1267e in QPainter::drawPixmap (this=this@entry=0x7fff88e80de0, p=..., pm=...) at painting/qpainter.cpp:5344
#15 0x00007f15e40e5871 in drawPixmap (pm=..., y=0, x=0, this=0x7fff88e80de0) at /usr/include/QtGui/qpainter.h:862
#16 BlockAnalyzer::paintEvent (this=0x1c8a830) at /usr/src/debug/amarok-2.8.0/src/context/applets/analyzer/BlockAnalyzer.cpp:147
#17 0x0000003c21e17904 in QWidget::event (this=0x1c8a830, event=0x7fff88e812c0) at kernel/qwidget.cpp:8533
#18 0x0000003c26c34f11 in QGLWidget::event (this=0x1c8a830, e=0x7fff88e812c0) at qgl.cpp:4407
#19 0x0000003c21dc84dc in QApplicationPrivate::notify_helper (this=0xb9a740, receiver=0x1c8a830, e=0x7fff88e812c0) at kernel/qapplication.cpp:4562
#20 0x0000003c21dceaa0 in QApplication::notify (this=this@entry=0x7fff88e81b60, receiver=receiver@entry=0x1c8a830, e=e@entry=0x7fff88e812c0) at kernel/qapplication.cpp:4348
#21 0x0000003c234415ba in KApplication::notify (this=0x7fff88e81b60, receiver=0x1c8a830, event=0x7fff88e812c0) at /usr/src/debug/kdelibs-4.10.5/kdeui/kernel/kapplication.cpp:311
#22 0x000000325157a26d in QCoreApplication::notifyInternal (this=0x7fff88e81b60, receiver=0x1c8a830, event=0x7fff88e812c0) at kernel/qcoreapplication.cpp:949
#23 0x0000003c21e12001 in QWidgetPrivate::drawWidget (this=this@entry=0x1c845e0, pdev=pdev@entry=0x1c8a840, rgn=..., offset=..., flags=flags@entry=3, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x0) at ../../src/corelib/kernel/qcoreapplication.h:234
#24 0x0000003c21fcdfeb in QWidgetPrivate::repaint_sys (this=this@entry=0x1c845e0, rgn=...) at painting/qbackingstore.cpp:1656
#25 0x0000003c21e073b7 in QWidgetPrivate::syncBackingStore (this=0x1c845e0) at kernel/qwidget.cpp:1891
#26 0x0000003c21e17482 in QWidget::event (this=0x1c8a830, event=0x25b27c0) at kernel/qwidget.cpp:8680
#27 0x0000003c26c34f11 in QGLWidget::event (this=0x1c8a830, e=0x25b27c0) at qgl.cpp:4407
#28 0x0000003c21dc84dc in QApplicationPrivate::notify_helper (this=0xb9a740, receiver=0x1c8a830, e=0x25b27c0) at kernel/qapplication.cpp:4562
#29 0x0000003c21dceaa0 in QApplication::notify (this=this@entry=0x7fff88e81b60, receiver=receiver@entry=0x1c8a830, e=e@entry=0x25b27c0) at kernel/qapplication.cpp:4348
#30 0x0000003c234415ba in KApplication::notify (this=0x7fff88e81b60, receiver=0x1c8a830, event=0x25b27c0) at /usr/src/debug/kdelibs-4.10.5/kdeui/kernel/kapplication.cpp:311
#31 0x000000325157a26d in QCoreApplication::notifyInternal (this=0x7fff88e81b60, receiver=receiver@entry=0x1c8a830, event=event@entry=0x25b27c0) at kernel/qcoreapplication.cpp:949
#32 0x000000325157d1df in sendEvent (event=0x25b27c0, receiver=0x1c8a830) at kernel/qcoreapplication.h:231
#33 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xabc8a0) at kernel/qcoreapplication.cpp:1573
#34 0x000000325157d683 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1466
#35 0x00000032515a7883 in sendPostedEvents () at kernel/qcoreapplication.h:236
#36 postEventSourceDispatch (s=s@entry=0xb9e960) at kernel/qeventdispatcher_glib.cpp:280
#37 0x0000003250847e06 in g_main_dispatch (context=0xb9e870) at gmain.c:3054
#38 g_main_context_dispatch (context=context@entry=0xb9e870) at gmain.c:3630
#39 0x0000003250848158 in g_main_context_iterate (context=context@entry=0xb9e870, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#40 0x00000032508481fc in g_main_context_iteration (context=0xb9e870, may_block=1) at gmain.c:3762
#41 0x00000032515a7145 in QEventDispatcherGlib::processEvents (this=0xabe1a0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#42 0x0000003c21e64fc6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#43 0x0000003251578ecf in QEventLoop::processEvents (this=this@entry=0x7fff88e81a30, flags=...) at kernel/qeventloop.cpp:149
#44 0x00000032515791c5 in QEventLoop::exec (this=this@entry=0x7fff88e81a30, flags=...) at kernel/qeventloop.cpp:204
#45 0x000000325157e45b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#46 0x0000003c21dc6c9c in QApplication::exec () at kernel/qapplication.cpp:3823
#47 0x00000000004083b3 in main (argc=<optimized out>, argv=0x7fff88e81cc8) at /usr/src/debug/amarok-2.8.0/src/main.cpp:329

Reported using DrKonqi
Comment 1 Matěj Laitl 2013-08-17 13:23:03 UTC
Can you please start Amarok from console as: amarok --nofork        (suprisingly, without the --debug flag) to see any possible X errors that may be printed?
Comment 2 fishears 2013-08-17 13:27:24 UTC
Done. Here's the output:

bash-4.2$ amarok --nofork
QCoreApplication::postEvent: Unexpected null receiver
QCoreApplication::postEvent: Unexpected null receiver
QCoreApplication::postEvent: Unexpected null receiver
loaded the Generic plugin 
QWidget::insertAction: Attempt to insert null action
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x6e00111
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x6e00111
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x6e00111
X Error: RenderBadPicture (invalid Picture parameter) 141
  Extension:    138 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x9e
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 10 (X_UnmapWindow)
  Resource id:  0x6e00094
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x6e00094
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)                                                                      
  Resource id:  0x6e00094                                                                               
X Error: BadWindow (invalid Window parameter) 3                                                         
  Major opcode: 4 (X_DestroyWindow)                                                                     
  Resource id:  0x6e00094                                                                               
X Error: RenderBadPicture (invalid Picture parameter) 141                                               
  Extension:    138 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x6e00094
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 10 (X_UnmapWindow)
  Resource id:  0x6e00096
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x6e00096
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x6e00096
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 4 (X_DestroyWindow)
  Resource id:  0x6e00096
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 10 (X_UnmapWindow)
  Resource id:  0x6e00098
X Error: RenderBadPicture (invalid Picture parameter) 141
  Extension:    138 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x6e00098
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 10 (X_UnmapWindow)
  Resource id:  0x6e00098
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x6e00098
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x6e0009b
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x6e00098
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 4 (X_DestroyWindow)
  Resource id:  0x6e00098
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x6e0009b
Could not parse stylesheet of widget 0x235fd30
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x6e0009b
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x6e0009b
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x6e0009b
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    152 (Uknown extension)
  Minor opcode: 3 (Unknown request)
  Resource id:  0x6e0009b
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    152 (Uknown extension)
  Minor opcode: 12 (Unknown request)
  Resource id:  0x6e0009b
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    152 (Uknown extension)
  Minor opcode: 7 (Unknown request)
  Resource id:  0x6e0009b
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 8 (X_MapWindow)
  Resource id:  0x6e0009b
********************************************************************************************** 
** AMAROK WAS STARTED IN NORMAL MODE. IF YOU WANT TO SEE DEBUGGING INFORMATION, PLEASE USE: ** 
** amarok --debug                                                                           ** 
********************************************************************************************** 
KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/libexec/kde4/drkonqi from kdeinit
sock_file=/home/jb/.kde/socket-localhost.localdomain/kdeinit4__0

[1]+  Stopped                 amarok --nofork
Comment 3 Myriam Schweingruber 2013-08-19 10:47:53 UTC
Setting status correctly.
Comment 4 Matěj Laitl 2013-08-19 11:04:14 UTC
Hmm, this is definitely not the EGL bug unless I'm wrong. I still suspect something with OpenGL/analyzers. Markey?
Comment 5 Mark Kretschmann 2013-08-19 11:23:07 UTC
Definitely an OpenGL rendering issue, but not in our software. It must be somewhere higher upstream. 

Does OpenGL work fine for you with other Qt applications?
Comment 6 Mark Kretschmann 2013-08-21 09:27:49 UTC
*** Bug 323824 has been marked as a duplicate of this bug. ***
Comment 7 Thomas Bettler 2013-08-23 11:13:56 UTC
Same behaviour here with amarok-2.7 and amarok-2.8 on gentoo after updating to kdelibs-4.11 et al:

Crash Message
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 1 (X_CreateWindow)
  Resource id:  0x9a0005f
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 3 (X_GetWindowAttributes)
  Resource id:  0x9a00061
KCrash: Application 'amarok' crashing...
Comment 8 Thomas Bettler 2013-08-24 19:02:32 UTC
Created attachment 81896 [details]
amarok-crash.log
Comment 9 Nalaka Hewapathirana 2013-08-25 06:00:09 UTC
Created attachment 81903 [details]
Amarok debug output

Think I have the same issue after upgrades. After starting Amarok would go into system tray, but when I click on it, it will crash. 

amarok --version
Qt: 4.8.4
KDE Development Platform: 4.11.00
Amarok: 2.8.0


Attached log files ->
amarok_debug.log with --debug flag

Output with --nofork flag
amarok --nofork
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
[0x1182c78] main services discovery error: no suitable services discovery module
WARNING: Phonon::createPath: Cannot connect  Phonon::MediaObject ( no objectName ) to  Phonon::AudioDataOutput ( no objectName ). 
Object::connect: No such signal Phonon::VLC::MediaObject::angleChanged(int) in ../../phonon/mediacontroller.cpp:64
Object::connect: No such signal Phonon::VLC::MediaObject::availableAnglesChanged(int) in ../../phonon/mediacontroller.cpp:65
QWidget::insertAction: Attempt to insert null action
********************************************************************************************** 
** AMAROK WAS STARTED IN NORMAL MODE. IF YOU WANT TO SEE DEBUGGING INFORMATION, PLEASE USE: ** 
** amarok --debug                                                                           ** 
********************************************************************************************** 
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x4600169
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x4600169
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x4600169
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x83
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 10 (X_UnmapWindow)
  Resource id:  0x460005d
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x460005d
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x460005d
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 4 (X_DestroyWindow)
  Resource id:  0x460005d
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x460005d
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 10 (X_UnmapWindow)
  Resource id:  0x460005f
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x460005f
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x460005f
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 4 (X_DestroyWindow)
  Resource id:  0x460005f
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 10 (X_UnmapWindow)
  Resource id:  0x4600061
X Error: RenderBadPicture (invalid Picture parameter) 143
  Extension:    139 (RENDER)
  Minor opcode: 7 (RenderFreePicture)
  Resource id:  0x4600061
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 10 (X_UnmapWindow)
  Resource id:  0x4600061
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x4600061
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 7 (X_ReparentWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x4600061
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 4 (X_DestroyWindow)
  Resource id:  0x4600061
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
"/org/freedesktop/UDisks2/drives/HUAWEI_SD_Storage_HUAWEI_SD_Storage_0_3a0" : property "Drive" does not exist 
"/org/freedesktop/UDisks2/drives/hp_______CDDVDW_TS_L633N_R3186GBSB86695" : property "Drive" does not exist 
"/org/freedesktop/UDisks2/drives/HUAWEI_Mass_Storage_HUAWEI_Mass_Storage_0_3a0" : property "Drive" does not exist 
"/org/freedesktop/UDisks2/drives/SAMSUNG_HM501II_S24QJ9FB900813" : property "Drive" does not exist 
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
Could not parse stylesheet of widget 0x15759e0
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 12 (X_ConfigureWindow)
  Resource id:  0x4600064
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    153 (Uknown extension)
  Minor opcode: 3 (Unknown request)
  Resource id:  0x4600064
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    153 (Uknown extension)
  Minor opcode: 12 (Unknown request)
  Resource id:  0x4600064
X Error: BadDrawable (invalid Pixmap or Window parameter) 9
  Extension:    153 (Uknown extension)
  Minor opcode: 7 (Unknown request)
  Resource id:  0x4600064
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 8 (X_MapWindow)
  Resource id:  0x4600064
KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/nalaka/.kde/socket-ngsspot/kdeinit4__0
Comment 10 Myriam Schweingruber 2013-08-25 15:11:32 UTC
(In reply to comment #8)
> Created attachment 81896 [details]
> amarok-crash.log

Thomas: please always paste backtraces in the comment, else those are not searchable.

FWIW: your backtrace is quite different from the ones in this report, please file a separate bug for that, this is clearly not the same crash.

To all others commenting on this report: please state the distribution you are using, the Qt version and KDE version, and whether you can use OpenGL in other Qt applications.
Comment 11 fishears 2013-08-26 08:00:33 UTC
Qt = 4.8.5
KDE = 4.10.5
OpenGL is working in other QT apps
Comment 12 Nalaka Hewapathirana 2013-08-27 19:47:02 UTC
Hi  Myriam,

My operating system is "Ubuntu 13.04"
Qt: 4.8.4 
KDE Development Platform: 4.11.00 
Amarok: 2.8.0

As I can remember this started to happen when I updated Amarok to 2.8. Amarok icon appears in system tray but when I click on it, it will crash. 
I'm going to install debug symbols required to build a proper automated bug report. But please guide us on this and I'm willing to provide information. (This is the first time I'm using bugtracking system)

Thanks :)
Comment 13 Nalaka Hewapathirana 2013-08-28 06:16:23 UTC
Created attachment 81980 [details]
New crash information added by DrKonqi

amarok (2.8.0) on KDE Platform 4.11.00 using Qt 4.8.4

- What I was doing when the application crashed:

After starting amarok from menu, it goes to systray. I clicked on systray icon and it crashed.

-- Backtrace (Reduced):
#6  0x00007fc58814a86d in get_stencil_miptree (irb=0x26c3f40) at brw_misc_state.c:325
#7  brw_workaround_depthstencil_alignment (brw=brw@entry=0x2416020) at brw_misc_state.c:341
#8  0x00007fc58811a320 in brw_try_draw_prims (max_index=3, min_index=0, ib=0x0, nr_prims=1, prim=0x7fffa62e5050, arrays=0x2452470, ctx=0x2416020) at brw_draw.c:442
#9  brw_draw_prims (ctx=0x2416020, prim=0x7fffa62e5050, nr_prims=1, ib=0x0, index_bounds_valid=<optimized out>, min_index=0, max_index=3, tfb_vertcount=0x0) at brw_draw.c:587
#10 0x00007fc57eb89954 in vbo_draw_arrays (ctx=0x2416020, mode=6, start=0, count=4, numInstances=1, baseInstance=<optimized out>) at ../../../../../src/mesa/vbo/vbo_exec_array.c:619
Comment 14 Myriam Schweingruber 2013-08-28 06:50:00 UTC
Thank you for the feedback. Apparently something is wrong with your OpenGL driver. Disabling the analyzer applet in $HOME/.kde/share/config/amarok_homerc is a possible workaround for now.
Comment 15 fishears 2013-08-28 07:45:07 UTC
Disabling analyzer allows me to launch Amarok successfully. Does that mean this is not an Amarok bug?
Comment 16 Myriam Schweingruber 2013-08-28 08:26:27 UTC
(In reply to comment #15)
> Disabling analyzer allows me to launch Amarok successfully. Does that mean
> this is not an Amarok bug?

Indeed, the problem is the OpenGL driver. I for example run Amarok on an Intel graphics card without these problems. It should be reported to your distribution.
Comment 17 fishears 2013-08-28 08:30:36 UTC
Thank you for your help resolving this.
Comment 18 Nalaka Hewapathirana 2013-08-28 15:20:15 UTC
Hi Myriam

Thanks a lot for the guidance. Disabling analyzer worked for me too.
Comment 19 Christian Ortega 2013-09-04 02:34:23 UTC
Disabling analyzer worked for me too. In addition, the analyzer work when activate it once the app is opened, but at restart it amarok crash again.
Comment 20 Mark Kretschmann 2013-09-04 05:29:33 UTC
@Christian: That's interesting. Thanks for the information.
Comment 21 Myriam Schweingruber 2013-10-09 16:38:39 UTC
*** Bug 325797 has been marked as a duplicate of this bug. ***
Comment 22 Myriam Schweingruber 2013-10-10 21:07:34 UTC
*** Bug 325845 has been marked as a duplicate of this bug. ***
Comment 23 Myriam Schweingruber 2013-10-11 20:45:28 UTC
*** Bug 325894 has been marked as a duplicate of this bug. ***
Comment 24 Mark Kretschmann 2013-10-19 11:26:13 UTC
Git commit f4a3f4fcf59cc0c592bd6d703542cb162a19721c by Mark Kretschmann.
Committed on 19/07/2013 at 08:37.
Pushed by markey into branch 'master'.

Rewrite Block Analyzer to use pure OpenGL instead of QGLPaintEngine2.

This rewrite should fix a number of issues that users had, especially
with Intel drivers. The issues, including crashes, are all due to driver
bugs, but essentially they were triggered by Qt using some uncommon
features for texture drawing (stencil operations, etc).

This commit should be backported to 2.8.1.

CCMAIL: amarok-devel@kde.org
BACKPORT

M  +1    -0    ChangeLog
M  +12   -22   src/context/applets/analyzer/AnalyzerBase.cpp
M  +3    -19   src/context/applets/analyzer/AnalyzerBase.h
M  +1    -1    src/context/applets/analyzer/BallsAnalyzer.cpp
M  +1    -1    src/context/applets/analyzer/BallsAnalyzer.h
M  +82   -23   src/context/applets/analyzer/BlockAnalyzer.cpp
M  +9    -10   src/context/applets/analyzer/BlockAnalyzer.h
M  +1    -1    src/context/applets/analyzer/DiscoAnalyzer.cpp
M  +1    -1    src/context/applets/analyzer/DiscoAnalyzer.h

http://commits.kde.org/amarok/f4a3f4fcf59cc0c592bd6d703542cb162a19721c
Comment 25 Mark Kretschmann 2013-10-20 12:02:28 UTC
Git commit d2fef6cb1a0293a000edbf87fd566574b6e8ae51 by Mark Kretschmann.
Committed on 19/10/2013 at 14:48.
Pushed by markey into branch 'master'.

Fix rendering glitch introduced with commit f4a3f4f.
BACKPORT

M  +22   -25   src/context/applets/analyzer/BlockAnalyzer.cpp
M  +26   -5    src/context/applets/analyzer/BlockAnalyzer.h

http://commits.kde.org/amarok/d2fef6cb1a0293a000edbf87fd566574b6e8ae51
Comment 26 Myriam Schweingruber 2013-10-22 15:34:18 UTC
*** Bug 326443 has been marked as a duplicate of this bug. ***
Comment 27 Myriam Schweingruber 2014-01-11 11:56:51 UTC
*** Bug 329841 has been marked as a duplicate of this bug. ***
Comment 28 Myriam Schweingruber 2014-04-14 20:47:57 UTC
*** Bug 331669 has been marked as a duplicate of this bug. ***
Comment 29 Myriam Schweingruber 2014-04-14 20:53:15 UTC
*** Bug 331669 has been marked as a duplicate of this bug. ***
Comment 30 Myriam Schweingruber 2014-04-15 22:40:15 UTC
*** Bug 333417 has been marked as a duplicate of this bug. ***
Comment 31 Myriam Schweingruber 2014-05-14 09:35:38 UTC
Setting status correctly.
Comment 32 vedant agarwala 2014-05-21 10:43:47 UTC
Git commit 351d723d4373f861c4943d06bb7c59ca1fe8495a by Vedant Agarwala, on behalf of Mark Kretschmann.
Committed on 19/07/2013 at 08:37.
Pushed by vedanta into branch 'tagguessing'.

Rewrite Block Analyzer to use pure OpenGL instead of QGLPaintEngine2.

This rewrite should fix a number of issues that users had, especially
with Intel drivers. The issues, including crashes, are all due to driver
bugs, but essentially they were triggered by Qt using some uncommon
features for texture drawing (stencil operations, etc).

This commit should be backported to 2.8.1.

CCMAIL: amarok-devel@kde.org
BACKPORT

M  +1    -0    ChangeLog
M  +12   -22   src/context/applets/analyzer/AnalyzerBase.cpp
M  +3    -19   src/context/applets/analyzer/AnalyzerBase.h
M  +1    -1    src/context/applets/analyzer/BallsAnalyzer.cpp
M  +1    -1    src/context/applets/analyzer/BallsAnalyzer.h
M  +82   -23   src/context/applets/analyzer/BlockAnalyzer.cpp
M  +9    -10   src/context/applets/analyzer/BlockAnalyzer.h
M  +1    -1    src/context/applets/analyzer/DiscoAnalyzer.cpp
M  +1    -1    src/context/applets/analyzer/DiscoAnalyzer.h

http://commits.kde.org/amarok/351d723d4373f861c4943d06bb7c59ca1fe8495a
Comment 33 vedant agarwala 2014-05-21 10:45:28 UTC
Git commit 793e7c2c400326bd32102357c77ef5e1c51edfa5 by Vedant Agarwala, on behalf of Mark Kretschmann.
Committed on 19/10/2013 at 14:48.
Pushed by vedanta into branch 'tagguessing'.

Fix rendering glitch introduced with commit f4a3f4f.
BACKPORT

M  +22   -25   src/context/applets/analyzer/BlockAnalyzer.cpp
M  +26   -5    src/context/applets/analyzer/BlockAnalyzer.h

http://commits.kde.org/amarok/793e7c2c400326bd32102357c77ef5e1c51edfa5
Comment 34 Myriam Schweingruber 2014-05-30 07:46:58 UTC
*** Bug 335541 has been marked as a duplicate of this bug. ***
Comment 35 Myriam Schweingruber 2014-05-31 07:57:32 UTC
*** Bug 335620 has been marked as a duplicate of this bug. ***
Comment 36 Myriam Schweingruber 2014-06-28 17:30:20 UTC
*** Bug 336809 has been marked as a duplicate of this bug. ***
Comment 37 Myriam Schweingruber 2015-01-28 11:39:03 UTC
*** Bug 343334 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2015-02-13 21:59:57 UTC
*** Bug 344131 has been marked as a duplicate of this bug. ***
Comment 39 Myriam Schweingruber 2015-02-20 08:15:29 UTC
*** Bug 344378 has been marked as a duplicate of this bug. ***
Comment 40 Myriam Schweingruber 2015-06-07 11:07:28 UTC
*** Bug 348819 has been marked as a duplicate of this bug. ***
Comment 41 Myriam Schweingruber 2015-07-21 08:49:54 UTC
*** Bug 350430 has been marked as a duplicate of this bug. ***